spacing {secr} | R Documentation

## Detector or Mask Spacing

### Description

Extract or replace the spacing attribute of a detector array or mask.

### Usage

    spacing(object, ...)
    spacing(object) <- value

    ## S3 method for class 'traps'
    spacing(object, ..., recalculate = FALSE)
    ## S3 method for class 'mask'
    spacing(object, ..., recalculate = FALSE)

### Arguments

`object` | object with ‘spacing’ attribute e.g. `traps`
`value` | numeric value for spacing
`...` | other arguments (not used)
`recalculate` | logical; if TRUE compute average spacing afresh

### Details

The ‘spacing’ attribute of a detector array is the average distance from one detector to the nearest other detector.

The attribute was not always set by `make.grid()` and `read.traps()` in versions of secr before 1.5.0. If the attribute is found to be NULL then `spacing` will compute it on the fly.

### Value

scalar numeric value of mean spacing, or a vector if `object` has multiple sessions

### See Also

`traps`

### Examples

    temptrap <- make.grid(nx = 6, ny = 8)
    spacing(temptrap)

[Package secr version 3.2.1 Index]